libxml++ 5.6.0

Public Member Functions | Protected Member Functions | List of all members
xmlpp::NonCopyable Class Reference

A base for classes which cannot be copied or moved. More...

`#include <libxml++/noncopyable.h>`

Inheritance diagram for xmlpp::NonCopyable:
[legend]

## Public Member Functions
| NonCopyable (const NonCopyable &)=delete
| NonCopyable (NonCopyable &&)=delete
NonCopyable & | operator= (const NonCopyable &)=delete
NonCopyable & | operator= (NonCopyable &&)=delete

## Protected Member Functions
| NonCopyable () noexcept
virtual | ~NonCopyable ()

## Detailed Description

A base for classes which cannot be copied or moved.

## Constructor & Destructor Documentation

## ◆ NonCopyable() [1/3]

xmlpp::NonCopyable::NonCopyable | ( | const NonCopyable & |  | ) |
| delete

## ◆ NonCopyable() [2/3]

xmlpp::NonCopyable::NonCopyable | ( | NonCopyable && |  | ) |
| delete

## ◆ NonCopyable() [3/3]

xmlpp::NonCopyable::NonCopyable | ( |  | ) |
| protected noexcept

## ◆ ~NonCopyable()

virtual xmlpp::NonCopyable::~NonCopyable | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ operator=() [1/2]

NonCopyable & xmlpp::NonCopyable::operator= | ( | const NonCopyable & |  | ) |
| delete

## ◆ operator=() [2/2]

NonCopyable & xmlpp::NonCopyable::operator= | ( | NonCopyable && |  | ) |
| delete